Package com.xceptance.xlt.api.data

# Class Account

java.lang.Object
com.xceptance.xlt.api.data.Account

public class Account extends Object
Special structure to hold user data for universal use.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Account()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress1()`
  Returns the value of the 'address1' attribute.
  `String`
  `getAddress2()`
  Returns the value of the 'address2' attribute.
  `String`
  `getBirthday()`
  Returns the value of the 'birthday' attribute.
  `String`
  `getCity()`
  Returns the value of the 'city' attribute.
  `String`
  `getCountry()`
  Returns the value of the 'country' attribute.
  `String`
  `getEmail()`
  Returns the value of the 'email' attribute.
  `String`
  `getFirstName()`
  Returns the value of the 'firstName' attribute.
  `String`
  `getLastName()`
  Returns the value of the 'lastName' attribute.
  `String`
  `getLogin()`
  Returns the value of the 'login' attribute.
  `String`
  `getPassword()`
  Returns the value of the 'password' attribute.
  `String`
  `getPhone()`
  Returns the value of the 'phone' attribute.
  `String`
  `getZip()`
  Returns the value of the 'zip' attribute.
  `void`
  `setAddress1(String address1)`
  Sets the new value of the 'address1' attribute.
  `void`
  `setAddress2(String address2)`
  Sets the new value of the 'address2' attribute.
  `void`
  `setBirthday(String birthday)`
  Sets the new value of the 'birthday' attribute.
  `void`
  `setCity(String city)`
  Sets the new value of the 'city' attribute.
  `void`
  `setCountry(String country)`
  Sets the new value of the 'country' attribute.
  `void`
  `setEmail(String email)`
  Sets the new value of the 'email' attribute.
  `void`
  `setFirstName(String firstName)`
  Sets the new value of the 'firstName' attribute.
  `void`
  `setLastName(String lastName)`
  Sets the new value of the 'lastName' attribute.
  `void`
  `setLogin(String login)`
  Sets the new value of the 'login' attribute.
  `void`
  `setPassword(String password)`
  Sets the new value of the 'password' attribute.
  `void`
  `setPhone(String phone)`
  Sets the new value of the 'phone' attribute.
  `void`
  `setZip(String zip)`
  Sets the new value of the 'zip' attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Account

    public Account()

- ## Method Details

  - ### getLogin

    public String getLogin()
    Returns the value of the 'login' attribute.
    Returns:
      the value of login

  - ### getPassword

    public String getPassword()
    Returns the value of the 'password' attribute.
    Returns:
      the value of password

  - ### getZip

    public String getZip()
    Returns the value of the 'zip' attribute.
    Returns:
      the value of zip

  - ### getFirstName

    public String getFirstName()
    Returns the value of the 'firstName' attribute.
    Returns:
      the value of firstName

  - ### getLastName

    public String getLastName()
    Returns the value of the 'lastName' attribute.
    Returns:
      the value of lastName

  - ### getEmail

    public String getEmail()
    Returns the value of the 'email' attribute.
    Returns:
      the value of email

  - ### getBirthday

    public String getBirthday()
    Returns the value of the 'birthday' attribute.
    Returns:
      the value of birthday

  - ### getCountry

    public String getCountry()
    Returns the value of the 'country' attribute.
    Returns:
      the value of country

  - ### getCity

    public String getCity()
    Returns the value of the 'city' attribute.
    Returns:
      the value of city

  - ### getPhone

    public String getPhone()
    Returns the value of the 'phone' attribute.
    Returns:
      the value of phone

  - ### getAddress1

    public String getAddress1()
    Returns the value of the 'address1' attribute.
    Returns:
      the value of address1

  - ### getAddress2

    public String getAddress2()
    Returns the value of the 'address2' attribute.
    Returns:
      the value of address2

  - ### setLogin

    public void setLogin(String login)
    Sets the new value of the 'login' attribute.
    Parameters:
      `login` - the new login value

  - ### setPassword

    public void setPassword(String password)
    Sets the new value of the 'password' attribute.
    Parameters:
      `password` - the new password value

  - ### setZip

    public void setZip(String zip)
    Sets the new value of the 'zip' attribute.
    Parameters:
      `zip` - the new zip value

  - ### setFirstName

    public void setFirstName(String firstName)
    Sets the new value of the 'firstName' attribute.
    Parameters:
      `firstName` - the new firstName value

  - ### setLastName

    public void setLastName(String lastName)
    Sets the new value of the 'lastName' attribute.
    Parameters:
      `lastName` - the new lastName value

  - ### setEmail

    public void setEmail(String email)
    Sets the new value of the 'email' attribute.
    Parameters:
      `email` - the new email value

  - ### setBirthday

    public void setBirthday(String birthday)
    Sets the new value of the 'birthday' attribute.
    Parameters:
      `birthday` - the new birthday value

  - ### setCountry

    public void setCountry(String country)
    Sets the new value of the 'country' attribute.
    Parameters:
      `country` - the new country value

  - ### setCity

    public void setCity(String city)
    Sets the new value of the 'city' attribute.
    Parameters:
      `city` - the new city value

  - ### setPhone

    public void setPhone(String phone)
    Sets the new value of the 'phone' attribute.
    Parameters:
      `phone` - the new phone value

  - ### setAddress1

    public void setAddress1(String address1)
    Sets the new value of the 'address1' attribute.
    Parameters:
      `address1` - the new address1 value

  - ### setAddress2

    public void setAddress2(String address2)
    Sets the new value of the 'address2' attribute.
    Parameters:
      `address2` - the new address2 value